Bug 2885 - Support dynamic WEP
: Support dynamic WEP
Status: RESOLVED WONTFIX
Product: Connectivity
WiFi
: 4.0
: N810 Linux
: Medium enhancement (vote)
: ---
Assigned To: unassigned
: wifi-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-04 17:59 UTC by Joseph Pingenot
Modified: 2008-11-04 18:02 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Joseph Pingenot (reporter) 2008-02-04 17:59:18 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)
2.2007.50-2

STEPS TO REPRODUCE THE PROBLEM:
Try to connect to dynamic WEP-based craptastic wireless network

EXPECTED OUTCOME:
Victory.

ACTUAL OUTCOME:
Epic Failure

REPRODUCIBILITY:
(always/sometimes/once)
Always

EXTRA SOFTWARE INSTALLED:
Apparently not the right ones, if they exist.

OTHER COMMENTS:
Inability to use craptastic dynamic WEP prevents me from using my n810 at my
university.  Sadly, the University probably won't consider switching to a Real
method.
Comment 1 me 2008-06-21 23:53:40 UTC
same problem here on my n810 :(
Comment 2 Andre Klapper maemo.org 2008-10-11 02:07:17 UTC
I've found http://www.cwnp.com/phpBB2/viewtopic.php?p=3513& which says:
  "Dynamic WEP" is vendor proprietary and not part of the IEEE 802.11 standard
either before or after the 802.11i amendment. Some vendors use 802.1X and EAP.
Once the WEP key is installed by dynamic WEP, and until the key is changed, the
key is used in the standard way with the same number of bits, same IV, same RC4
algorithm, and same WEP weaknesses -- except the key changes as often as the
dynamic WEP service is configured to change it. 

http://en.wikipedia.org/wiki/Wired_Equivalent_Privacy#Dynamic_WEP says:
  Change WEP keys dynamically. Vendor-specific feature provided by several
vendors such as 3Com. The dynamic change idea made it into 802.11i as part of
TKIP, but not for the actual WEP algorithm.



So this sounds like a totally proprietary and non-standard format to me which
is just *impossible* to support correctly if every vendor has its own
implementation.

Please do correct me if I'm wrong - closing as WONTFIX currently.
Comment 3 Kalle Valo nokia 2008-11-04 18:02:13 UTC
First of all, dynamic WEP means using IEEE 802.1x protocol with WEP encryption.
There are multiple bugs about this already in maemo.org, for example bug #417.

(In reply to comment #2)
> So this sounds like a totally proprietary and non-standard format to me which
> is just *impossible* to support correctly if every vendor has its own
> implementation.
>
> Please do correct me if I'm wrong - closing as WONTFIX currently.

That's not entirely correct. Yes, IEEE 802.1x+WEP is a legacy security protocol
but it's still widely used. A lot of devices support and there are networks
available, some university networks being the best example. I have been trying
to support this but unfortunately the project management isn't convinced
enough, yet.